/*		@(#)slider.h	1.1 Stellar 89/02/09	*/
/*
			Copyright 1989 by
			Stellar Computer Inc.
			All Rights Reserved
	
	This software comprises unpublished confidential information of
	Stellar Computer Inc. and may not be used, copied or made
	available to anyone, except in accordance with the license
	under which it is furnished.
*/
/*
 * LUI Slider header 
 */

#ifndef _LUI_SLIDER_HEADER

#ifdef LUI_SLIDER_DECLARE
# define LUI_SLIDER_GLOBAL  /* */
# define LUI_SLIDER_INIT(v) = v
#else
# define LUI_SLIDER_GLOBAL  extern
# define LUI_SLIDER_INIT(v) /* */
#endif

#define LUI_SLIDER_X_SIZE      356
#define LUI_SLIDER_Y_SIZE       32
#define LUI_SLIDER_BAR_Y_MARGIN 16 
#define LUI_SLIDER_BAR_X_MARGIN 10 
#define LUI_SLIDER_BAR_LEN      (LUI_SLIDER_X_SIZE - 2 * LUI_SLIDER_BAR_X_MARGIN)

#define LUI_SLIDER_INACTIVE        0
#define LUI_SLIDER_ACTIVE          1

#define LUI_SLIDER_INT             0
#define LUI_SLIDER_FLOAT           1

typedef struct lui_slider {
    char           *label;
    int            state, hilite;
    Window         window;
    int            x, y;
    int            type;
    float	   low, high, value, old_value;
    int            index;
    int           ((*func)());
    unsigned int   button; /* added WLH 12-12-91 */
    struct lui_slider_box *slider_box;
    struct lui_slider *np;
} LUI_SLIDER;

typedef struct lui_slider_box {
    char           name[64];
    int            label_x, label_y;
    Window         window;
    Window         label_window;
    LUI_SLIDER    *slider_head;
    int            x, y;
    int            width, height;
    int            win_x, win_y;
    int            win_width, win_height;
    int            border_size;
    int            visible, hiding;
    LUI_LABEL     *label;
    char          *label_text[2];
    struct lui_slider_box *np;
} LUI_SLIDER_BOX;

LUI_SLIDER_GLOBAL LUI_SLIDER_BOX 
  *LUI_SliderBoxHead LUI_SLIDER_INIT ( NULL), 
  *LUI_SliderBox     LUI_SLIDER_INIT ( NULL );

LUI_SLIDER_GLOBAL int 
  LUI_SliderBoxX, LUI_SliderBoxY, 
  LUI_SliderBoxWidth, LUI_SliderBoxHeight;

LUI_SLIDER_GLOBAL LUI_SLIDER 
  *LUI_SliderHead LUI_SLIDER_INIT ( NULL );

LUI_SLIDER_GLOBAL Window
  LUI_SliderBoxWindow;

LUI_SLIDER 
  *LUI_SliderCreate(),
  *LUI_SliderLookupWindow(),
  *LUI_SliderLookup();

LUI_SLIDER_BOX 
  *LUI_SliderBoxOpen(),
  *LUI_SliderBoxLookup(),
  *LUI_SliderBoxLookupName();

#endif  _LUI_SLIDER_HEADER
#define _LUI_SLIDER_HEADER 1
